
# Security Master

## Attributes
| Attribute Name | Categorical | History | Attribute Level | Description | Available Values |
| --- | --- | --- | --- | --- | --- |
| Security ID | ❌ | N/A | Security | A unique identifier assigned to a security |  |
| Company ID | ❌ | N/A | Company | A unique identifier associated with the company |  |
| Company Name | ❌ | ❌ | Company |  |  |
| Native Company Name | ❌ | ❌ | Company | Company's name in its native language |  |
| Company Type | ✔️ | ❌ | Company | The type of the company. | Company, Investment Firm, Fund |
| Security Type | ✔️ | ❌ | Security | The type of the security. | Common Equity, Preferred Equity, Equity Depositary Receipts, ETF, REITS |
| Prism Active | ✔️ | ✔️ | Listing | An indicator that denotes the current status of a listing and, if the listing is inactive, specifies the start date and end date when it was active. | Active, Inactive |
| Country | ✔️ | ✔️ | Company | Company's denoted country by Prism39 | [ISO country](https://www.iso.org/obp/ui/#search) |
| Headquarter Country | ✔️ | ❌ | Company | Company's headquarter country (ISO 3166 Alpha-2 Code) | [ISO country](https://www.iso.org/obp/ui/#search) |
| Incorporation Country | ✔️ | ❌ | Company | Company's incorporated country (ISO 3166 Alpha-2 Code) | [ISO country](https://www.iso.org/obp/ui/#search) |
| Trade Currency | ✔️ | ❌ | Listing | Currency code - ISO 4217 | [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) |
| Report Currency | ✔️ | ❌ | Company | Currency code - ISO 4217 | [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) |
| MIC | ✔️ | ✔️ | Listing | The Market Identifier Code, a unique identifier for a market or exchange. | [ISO](https://www.iso20022.org/market-identifier-codes) |
| Operating MIC | ✔️ | ✔️ | Listing | An operating MIC, also called exchange level MIC, identifies the entity operating an exchange, trading platform, regulated or non-regulated market or a trade reporting facility in a specific country; it is the 'parent' MIC to one or several MICs. | [ISO](https://www.iso20022.org/market-identifier-codes) |
| Prism Primary | ✔️ | ✔️ | Listing | The primary flag made by Prism39. | primary, primary_security |
| CIQ Primary | ✔️ | ❌ | Listing | The primary flag made by Capital IQ databases. | primary, primary_listing, primary_security |
| Compustat Primary | ✔️ | ✔️ | Listing | The primary flag used in Compustat databases. | primary |
| Ticker | ❌ | ✔️ | Listing |  |  |
| GICS Sector | ✔️ | ✔️ | Company | The Global Industry Classification Standard sector to which the security belongs. | [MSCI](https://www.msci.com/our-solutions/indexes/gics) |
| GICS Group | ✔️ | ✔️ | Company | The Global Industry Classification Standard industry group to which the security belongs. | [GICS](https://www.msci.com/our-solutions/indexes/gics) |
| GICS Industry | ✔️ | ✔️ | Company | The Global Industry Classification Standard industry to which the security belongs. | [GICS](https://www.msci.com/our-solutions/indexes/gics) |
| GICS Sub-Industry | ✔️ | ✔️ | Company | The Global Industry Classification Standard sub-industry to which the security belongs. | [GICS](https://www.msci.com/our-solutions/indexes/gics) |
| CIQ Simple Industry | ✔️ | ❌ | Company |  | Same as GICS Sub-Industry |
| SIC | ✔️ | ❌ | Company | Standard Industrial Classification | [SIC](https://www.sec.gov/corpfin/division-of-corporation-finance-standard-industrial-classification-sic-code-list) |
| NAICS | ✔️ | ✔️ | Company | North American Industry Classification System | [NAICS](https://www.census.gov/naics/) |
| Barra ID | ❌ | ✔️ | Listing | An identifier used in Barra risk models. |  |
| CMA Entity ID | ❌ | ❌ | Company | The identifier for the entity in the CMA database. |  |
| CUSIP | ❌ | ❌ | Security | The Committee on Uniform Security Identification Procedures identifier for the security. The 9-character alphanumeric CUSIP code identifies any North American security for the purposes of facilitating clearing and settlement of trades. |  |
| SEDOL | ❌ | ✔️ | Security | Stock Exchange Daily Official List (United Kingdom and Ireland), identifiers used in the United Kingdom and Ireland for clearing purposes. |  |
| ISIN | ❌ | ✔️ | Security | International Securities Identification Number, used worldwide to identify specific securities such as bonds, stocks (common and preferred), futures, warrants, rights, trusts, commercial paper and options. |  |
| CINS | ❌ | ✔️ | Security | The CUSIP International Numbering System identifier for the security. |  |
| VALOR | ❌ | ✔️ | Security | Swiss Valoren |  |
| WKN | ❌ | ✔️ | Security | Wertpapierkennnummer |  |
| FIGI | ❌ | ✔️ | Listing | Financial Instrument Global Identifier, a 12-character alpha-numerical code that does not contain information characterizing financial instruments, but serves for uniform unique global identification. |  |
| Composite FIGI | ❌ | ✔️ | Listing | Composite level FIGI, Composite FIGI is issued to represent unique securities across related exchanges, mainly within a same country. |  |
| Share Class FIGI | ❌ | ✔️ | Security | Security level FIGI |  |
| Fitch Issuer ID | ❌ | ✔️ | Company | The Fitch Issuer Identification Number or FIID is a unique proprietary 12-digit tracking number applied to each issuer of debt rated by Fitch Ratings. |  |
| Moody's Issuer Number | ❌ | ✔️ | Company | The Moody's Issuer Number or MIN is a unique 10-digit identifier applied to each issuer of debt rated by Moody's Investor Services. |  |
| RatingsXpress Entity ID | ❌ | ✔️ | Company | S&P's rating database's entity level identifier. |  |
| IBES Ticker | ❌ | ✔️ | Listing | The ticker symbol used in the Institutional Brokers' Estimate System for the security. |  |
| LEI | ❌ | ✔️ | Company | Legal Entity Identifier, reference code to uniquely identify a legally distinct entity that engages in a financial transaction. |  |
| MarkIt Red Code | ❌ | ✔️ | Company | The identifier assigned by Markit to indicate credit risk. |  |
| SNL Institution ID | ❌ | ✔️ | Company | SNL Financial databases for the institution |  |
| Factset Entity ID | ❌ | ✔️ | Company | Factset entity level identifier. |  |
| Factset Company ID | ❌ | ✔️ | Company | Factset company level identifier. |  |
| Factset Security ID | ❌ | ✔️ | Security | Factset security level identifier. |  |
| Factset Listing ID | ❌ | ✔️ | Listing | Factset listing level identifier. |  |
| GVKEY | ❌ | ✔️ | Company | Compustat Company Level Identifier. |  |
| GVKEYIID | ❌ | ✔️ | Listing | Compustat Listing Level Identifier. |  |
| Trading Item ID | ❌ | N/A | Listing | CIQ listing level identifier. |  |

</br>





