
## Data Components

| Data Category | Data Component Name | Dataitem Input | Data Function | Default Frequency |
| --- | --- | --- | --- | --- |
| ESG | Environmental | ✔️ | [`prismstudio.esg.environmental`](<#prismstudio.esg.environmental>) | Aperiodic Day |
|| Social | ✔️ | [`prismstudio.esg.social`](<#prismstudio.esg.social>) | Aperiodic Day |
|| Governance | ✔️ | [`prismstudio.esg.governance`](<#prismstudio.esg.governance>) | Aperiodic Day |
|| Summary | ✔️ | [`prismstudio.esg.summary`](<#prismstudio.esg.summary>) | Aperiodic Day |
| Estimate | Actual | ✔️ | [`prismstudio.estimate.actual`](<#prismstudio.estimate.actual>) | Aperiodic |
|| Consensus | ✔️ | [`prismstudio.estimate.consensus`](<#prismstudio.estimate.consensus>) | Aperiodic |
|| Growth | ✔️ | [`prismstudio.estimate.growth`](<#prismstudio.estimate.growth>) | Aperiodic |
|| Guidance | ✔️ | [`prismstudio.estimate.guidance`](<#prismstudio.estimate.guidance>) | Aperiodic |
|| Revision | ✔️ | [`prismstudio.estimate.revision`](<#prismstudio.estimate.revision>) | Aperiodic |
|| Surprise | ✔️ | [`prismstudio.estimate.surprise`](<#prismstudio.estimate.surprise>)| Aperiodic |
| Event | Earnings Call | ❌ | [`prismstudio.event.earnings_call`](<#prismstudio.event.earnings_call>) | Aperiodic Day |
|| News | ✔️ | [`prismstudio.event.news`](<#prismstudio.event.news>) | Aperiodic Day |
| Financial | Balance Sheet | ✔️ | [`prismstudio.financial.balance_sheet`](<#prismstudio.financial.balance_sheet>) | Aperiodic Day |
|| Cash Flow | ✔️ | [`prismstudio.financial.cash_flow`](<#prismstudio.financial.cash_flow>) | Aperiodic Day |
|| DPS | ✔️ | [`prismstudio.financial.dps`](<#prismstudio.financial.dps>) | Aperiodic Day |
|| EPS | ✔️ | [`prismstudio.financial.eps`](<#prismstudio.financial.eps>) | Aperiodic Day |
|| Income Statement | ✔️ | [`prismstudio.financial.income_statement`](<#prismstudio.financial.income_statement>) | Aperiodic Day |
|| Segment | ✔️ | [`prismstudio.financial.segment`](<#prismstudio.financial.segment>) | Aperiodic Day |
|| Ratio | ✔️ | [`prismstudio.financial.ratio`](<#prismstudio.financial.ratio>) | Aperiodic Day |
|| Commitment | ✔️ | [`prismstudio.financial.commitment`](<#prismstudio.financial.commitment>) | Aperiodic Day |
|| Option | ✔️ | [`prismstudio.financial.option`](<#prismstudio.financial.option>) | Aperiodic Day |
|| Pension | ✔️ | [`prismstudio.financial.pension`](<#prismstudio.financial.pension>) | Aperiodic Day |
| Index | Index Level | ✔️ | [`prismstudio.index.level`](<#prismstudio.index.level>) | Business Day |
|| Index Share | ✔️ | [`prismstudio.index.share`](<#prismstudio.index.share>) | Business Day |
|| Index Weight | ✔️ | [`prismstudio.index.weight`](<#prismstudio.index.weight>) | Business Day |
| Industry Financial | Airlines | ✔️ | [`prismstudio.industryfin.airlines`](<#prismstudio.industryfin.airlines>) | Aperiodic Day |
|| Bank | ✔️ | [`prismstudio.industryfin.bank`](<#prismstudio.industryfin.bank>) | Aperiodic Day |
|| Capital| ✔️ | [`prismstudio.industryfin.capital_market`](<#prismstudio.industryfin.capital_market>) | Aperiodic Day |
|| Financial Services | ✔️ | [`prismstudio.industryfin.financial_services`](<#prismstudio.industryfin.financial_services>) | Aperiodic Day |
|| Healthcare | ✔️ | [`prismstudio.industryfin.healthcare`](<#prismstudio.industryfin.healthcare>) | Aperiodic Day |
|| Homebuilders | ✔️ | [`prismstudio.industryfin.homebuilders`](<#prismstudio.industryfin.homebuilders>) | Aperiodic Day |
|| Hotel and Gaming | ✔️ | [`prismstudio.industryfin.hotel`](<#prismstudio.industryfin.hotel>) | Aperiodic Day |
|| Insurance | ✔️ | [`prismstudio.industryfin.insurance`](<#prismstudio.industryfin.insurance>) | Aperiodic Day |
|| Internet Media | ✔️ | [`prismstudio.industryfin.internet`](<#prismstudio.industryfin.internet>) | Aperiodic Day |
|| Managed Care | ✔️ | [`prismstudio.industryfin.managed_care`](<#prismstudio.industryfin.managed_care>) | Aperiodic Day |
|| Metals and Mining | ✔️ | [`prismstudio.industryfin.mining`](<#prismstudio.industryfin.mining>) | Aperiodic Day |
|| Oil and Gas | ✔️ | [`prismstudio.industryfin.oil`](<#prismstudio.industryfin.oil>) | Aperiodic Day |
|| Pharmaceutical and Biotech | ✔️ | [`prismstudio.industryfin.biopharma`](<#prismstudio.industryfin.biopharma>) | Aperiodic Day |
|| Real Estate | ✔️ | [`prismstudio.industryfin.real_estate`](<#prismstudio.industryfin.real_estate>) | Aperiodic Day |
|| Restaurant | ✔️ | [`prismstudio.industryfin.restaurant`](<#prismstudio.industryfin.restaurant>) | Aperiodic Day |
|| Retail | ✔️ | [`prismstudio.industryfin.retail`](<#prismstudio.industryfin.retail>) | Aperiodic Day |
|| Semiconductors | ✔️ | [`prismstudio.industryfin.semiconductors`](<#prismstudio.industryfin.semiconductors>) | Aperiodic Day |
|| Telecom/Cable/Wireless | ✔️ | [`prismstudio.industryfin.telecom`](<#prismstudio.industryfin.telecom>) | Aperiodic Day |
|| Utility | ✔️ | [`prismstudio.industryfin.utility`](<#prismstudio.industryfin.utility>) | Aperiodic Day |
| Market | High | ❌ | [`prismstudio.market.high`](<#prismstudio.market.high>) | Business Day |
|| Low | ❌ | [`prismstudio.market.low`](<#prismstudio.market.low>) | Business Day |
|| Open | ❌ | [`prismstudio.market.open`](<#prismstudio.market.open>) | Business Day |
|| Close | ❌ | [`prismstudio.market.close`](<#prismstudio.market.close>) | Business Day |
|| Ask | ❌ | [`prismstudio.market.ask`](<#prismstudio.market.ask>) | Business Day |
|| Bid | ❌ | [`prismstudio.market.bid`](<#prismstudio.market.bid>) | Business Day |
|| Volume | ❌ | [`prismstudio.market.volume`](<#prismstudio.market.volume>) | Business Day |
|| VWAP | ❌ | [`prismstudio.market.vwap`](<#prismstudio.market.vwap>) | Business Day |
|| Market Capitalization | ❌ | [`prismstudio.market.market_cap`](<#prismstudio.market.market_cap>) | Day |
|| Shares Outstanding | ❌ | [`prismstudio.market.shares_outstanding`](<#prismstudio.market.shares_outstanding>) | Day |
|| Enterprise Value | ❌ | [`prismstudio.market.enterprise_value`](<#prismstudio.market.enterprise_value>) | Day |
|| Implied Market Capitalization | ❌ | [`prismstudio.market.implied_market_cap`](<#prismstudio.market.implied_market_cap>) | Day |
|| Dividend | ❌ | [`prismstudio.market.dividend`](<#prismstudio.financial.eps>) | Business Day |
|| Dividend Adjustment Factor | ❌ | [`prismstudio.market.dividend_adjustment_factor`](<#prismstudio.market.dividend_adjustment_factor>) | Business Day |
|| Split | ❌ | [`prismstudio.market.split`](<#prismstudio.market.split>) | Aperiodic Day |
|| Split Adjustment Factor | ❌ | [`prismstudio.market.split_adjustment_factor`](<#prismstudio.market.split_adjustment_factor>) | Aperiodic Day |
|| Exchange Rate | ❌ | [`prismstudio.market.exchange_rate`](<#prismstudio.market.exchange_rate>) | Day |
|| Short Interest | ✔️ | [`prismstudio.market.short_interest`](<#prismstudio.market.short_interest>) | Business Day |
| Precalculated | Alpha Factor Library | ✔️ | [`prismstudio.precalculated.alpha_factor_library`](<#prismstudio.precalculated.alpha_factor_library>) | Business Day |
| Security Master | Security Master Attribute | ❌ | [`prismstudio.securitymaster.attribute`](<#prismstudio.securitymaster.attribute>) | Day |
| Transaction | M&A | ✔️ | [`prismstudio.transaction.ma`](<#prismstudio.transaction.ma>) | Aperiodic Day |
|| Buyback | ❌ | [`prismstudio.transaction.buyback`](<#prismstudio.transaction.buyback>) | Aperiodic Day |
